# StackTrace-Parser

This parser parses a stack trace from any browser or Node.js and returns an array of hashes representing a line.

## Usage

``` JavaScript
try {
  throw new Error('My error');
} catch(ex) {
  var lines = StackTraceParser.parse(ex.stack);
}
```

Every line contains four properties: `lineNumber`, `methodName`, `file` and `column` (if applicable).

## TODOs

- allow to run in browser (v0.2)
- parse stack traces from other sources (Ruby, etc) (v0.3)

## Contribution

If you want to contrib, then do you thing, write tests, run `grunt test` ensure that everything is green , commit and make the pull request. Or just write an issue, or let's talk.

## Contributors

- [Georg Tavonius](https://github.com/calamari)
- [James Ide](https://github.com/ide)
- [Alexander Kotliarskyi](https://github.com/frantic)

## LICENSE

The MIT License (MIT)

Copyright (c) 2014-2015 Georg Tavonius

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.
